/** * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* BiDiPro/AVR v0.1.0                                                debug.c
* Copyright (c) Oleg O. Chukaev, 2007, 2008  <oleg.chukaev@mail.ru>
* Based on AVRPP - AVR Parallel Programming Controller  R0.39 (C)ChaN, 2007
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **/


/*-------------------------------------------------------------------------
  ᮪ 
---------------------------------------------------------------------------

2007-09-15	0leg	-
2007-09-19	0leg	᪮쪮 ஢ 뢮 ⫠. .

-------------------------------------------------------------------------*/


#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>


/* debug_printf() 뢮  ⫠筮 ଠ樨, ᫨ > 0 */
int debug_level = 0;

/*  ணࠬ */
char progname[100] = "\0";


void debug_printf (int level, char *fmt, ...) {

	va_list args;

	if (level <= debug_level) {
		fflush (stdout);
		va_start (args, fmt);
		vfprintf (stderr, fmt, args);
		va_end (args);
	}
}


/** * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* E0F
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **/
